package com.uniyaz.main.layouts;

import com.uniyaz.flexcity.ui.presentation.common.customcomponent.FlexCitySplitterJSComponent;
import com.vaadin.ui.CustomLayout;
import com.vaadin.ui.JavaScript;


public class BodyLayout extends CustomLayout {

	private static final long serialVersionUID = -1599963788894377958L;

	private SidebarLayout sidebarLayout;
    private ContentLayout contentLayout;

    public BodyLayout() {
    	super("bodyLayoutHtmlTemplate");
    	this.setHeight("500px");
    	
    	this.addComponent(new FlexCitySplitterJSComponent()); // sayfadaki JQuery methodlarn altrabilmek iin gerekli olan methodu ekler.
    	
    	this.sidebarLayout = new SidebarLayout();
    	this.contentLayout = new ContentLayout();
    	this.addComponent(sidebarLayout, "sidebarLayout");
    	this.addComponent(contentLayout, "contentLayout");
    	
    	
    }

    public ContentLayout getContentLayout() {
        return contentLayout;
    }

	public void setContentLayout(ContentLayout contentLayout) {
		this.contentLayout = contentLayout;
	}

	public SidebarLayout getSidebarLayout() {
		return sidebarLayout;
	}

	public void setSidebarLayout(SidebarLayout sidebarLayout) {
		this.sidebarLayout = sidebarLayout;
	}
    
}
